<?php
/**
 * @copyright	Copyright (C) 2015 Cedric KEIFLIN alias ced1870
 * https://www.joomlack.fr
 * https://www.template-creator.com
 * Module Custom Parallax CK
 * @license		GNU/GPL
 * */


defined('_JEXEC') or die;
require_once dirname(__FILE__) . '/helper.php';

// if ($params->def('prepare_content', 1))
// {
	// JPluginHelper::importPlugin('content');
	// $module->content = JHtml::_('content.prepare', $module->content, '', 'mod_customparallaxck.content');
// }

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''));

// load jQuery from Joomla!
JHTML::_('jquery.framework', true);

// load custom css and js
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::base(true) . '/modules/mod_customparallaxck/assets/customparallaxck.css');
$document->addScript(JURI::base(true) . '/modules/mod_customparallaxck/assets/customparallaxck.js');

// retrieve the layers
$layers = json_decode(str_replace('|qq|', '"', $params->get('layers', '{}')));

// set the parallax layers
$parallax_css = '';
$parallax_js = '';

if (count($layers)) {
	foreach ($layers as $i => $layer) {
		if ($layer->imageposx == '') $layer->imageposx = '0';

		$parallax_css .= '#customparallaxck' . $module->id . '_layer' . ($i+1) . ' {
				background: url(' . JUri::base(true) . '/' . trim($layer->imageurl, '/') .') ' . $layer->imageposx . ' 0 no-repeat;
				' . ($layer->imagebehavior == 'cover' ? 'background-size: cover;' : ($layer->imagebehavior == 'resize' ? 'background-size: 100% auto;' : '')) . '
				color: white;
				min-height: ' . $params->get('minheight', '0') . ';
				margin: 0 auto;
				padding: 0;
			}
			';
	}
}

if ($params->get('backgroundcolor')) {
	$parallax_css .= '#customparallaxck' . $module->id . ' {
		background-color: ' . $params->get('backgroundcolor') . ';
	}';
}

// set the title color if defined
if ($params->get('title1_color')) {
	$parallax_css .= '#customparallaxck' . $module->id . ' .customparallaxck_title {
			color: ' . $params->get('title1_color') . ';
		}
	';
}
// set the content color if defined
if ($params->get('content1_color')) {
	$parallax_css .= '#customparallaxck' . $module->id . ' .customparallaxck_content {
			color: ' . $params->get('content1_color') . ';
		}
	';
}
// call the parallax effect
$parallax_js .= 'new Customparallaxck("#customparallaxck' . $module->id . '", {
	outerHeight: false, 
	modHeight: "' . $params->get('minheight', '60%') . '",
	responsiveFont: true,
	resizeFactorText: "' . $params->get('mobile_resizefactor', '1.3') . '"
	});';
$js = 'jQuery(document).ready(function(){ ' . $parallax_js . ' });';

$document->addScriptDeclaration($js);
$document->addStyleDeclaration($parallax_css);

require JModuleHelper::getLayoutPath('mod_customparallaxck', $params->get('layout', 'default'));
